﻿using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms.Tools.MultiColumnTreeView;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MultiColumnTreeviewDemo
{
    public partial class Form1 : Form
    {
        DataTable dataTable1;
        public Form1()
        {
            InitializeComponent();
            this.Load += OnLoad;
            //Add columns to the DataTable
            dataTable1 = new DataTable();
            dataTable1.Columns.Add("Name", typeof(string));
            dataTable1.Columns.Add("Capital", typeof(string));
            // Add rows to the DataTable
            dataTable1.Rows.Add("India","Delhi");
            dataTable1.Rows.Add("China", "Beijing");
            dataTable1.Rows.Add("North America", "USA");
            dataTable1.Rows.Add("United States", "Washington, D.C.");
            dataTable1.Rows.Add("Canada", "Ottawa");
            dataTable1.Rows.Add("UK", "London");
            dataTable1.Rows.Add("Russia", "Moscow");
            dataTable1.Rows.Add("Zimbabwe", "Harare");
        }

        private void OnLoad(object sender, EventArgs e)
        {
            // Add columns to the MultiColumnTreeView
            TreeColumnAdv countryColumn = new TreeColumnAdv();
            TreeColumnAdv capitalColumn = new TreeColumnAdv();

            countryColumn.Text = "Country";
            capitalColumn.Text = "Capital";

            countryColumn.Width = 150;
            capitalColumn.Width = 150;

            multiColumnTreeView1.Columns.AddRange(new TreeColumnAdv[] { countryColumn, capitalColumn });
            // Add rows to the MultiColumnTreeView
            foreach(DataRow row in dataTable1.Rows)
            {
                multiColumnTreeView1.Nodes.Add(row["Name"].ToString());
                for(int i=0;i< multiColumnTreeView1.Nodes.Count;i++)
                {
                    //  Add child nodes to the MultiColumnTreeView
                    if (multiColumnTreeView1.Nodes[i].Text == row["Name"].ToString())
                    {
                        multiColumnTreeView1.Nodes[i].Nodes.Add(row["Capital"].ToString());
                    }
                }            
            }
        }
    }
}
